"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.base = void 0;
const comment_spacing_1 = require("./comment-spacing");
const consistent_empty_lines_1 = require("./consistent-empty-lines");
const consistent_enum_members_1 = require("./consistent-enum-members");
const consistent_filename_1 = require("./consistent-filename");
const consistent_import_1 = require("./consistent-import");
const consistent_optional_props_1 = require("./consistent-optional-props");
const disallow_import_1 = require("./disallow-import");
const export_matching_filename_only_1 = require("./export-matching-filename-only");
const match_filename_1 = require("./match-filename");
const no_expression_empty_lines_1 = require("./no-expression-empty-lines");
const no_restricted_syntax_1 = require("./no-restricted-syntax");
const no_self_import_1 = require("./no-self-import");
const no_sibling_import_1 = require("./no-sibling-import");
const no_unnecessary_template_literal_1 = require("./no-unnecessary-template-literal");
const object_format_1 = require("./object-format");
const only_export_name_1 = require("./only-export-name");
const prefer_only_export_1 = require("./prefer-only-export");
const require_jsdoc_1 = require("./require-jsdoc");
const require_syntax_1 = require("./require-syntax");
const sort_array_1 = require("./sort-array");
const sort_class_members_1 = require("./sort-class-members");
const sort_export_specifiers_1 = require("./sort-export-specifiers");
const sort_keys_1 = require("./sort-keys");
const sort_top_comments_1 = require("./sort-top-comments");
const switch_case_spacing_1 = require("./switch-case-spacing");
const template_literal_format_1 = require("./template-literal-format");
const wrap_1 = require("./wrap");
exports.base = {
    "comment-spacing": comment_spacing_1.commentSpacing,
    "consistent-empty-lines": consistent_empty_lines_1.consistentEmptyLines,
    "consistent-enum-members": consistent_enum_members_1.consistentEnumMembers,
    "consistent-filename": consistent_filename_1.consistentFilename,
    "consistent-import": consistent_import_1.consistentImport,
    "consistent-optional-props": consistent_optional_props_1.consistentOptionalProps,
    "disallow-import": disallow_import_1.disallowImport,
    "export-matching-filename-only": export_matching_filename_only_1.exportMatchingFilenameOnly,
    "match-filename": match_filename_1.matchFilename,
    "no-expression-empty-lines": no_expression_empty_lines_1.noExpressionEmptyLines,
    "no-restricted-syntax": no_restricted_syntax_1.noRestrictedSyntax,
    "no-self-import": no_self_import_1.noSelfImport,
    "no-sibling-import": no_sibling_import_1.noSiblingImport,
    "no-unnecessary-template-literal": no_unnecessary_template_literal_1.noUnnecessaryTemplateLiteral,
    "object-format": object_format_1.objectFormat,
    "only-export-name": only_export_name_1.onlyExportName,
    "prefer-only-export": prefer_only_export_1.preferOnlyExport,
    "require-jsdoc": require_jsdoc_1.requireJsdoc,
    "require-syntax": require_syntax_1.requireSyntax,
    "sort-array": sort_array_1.sortArray,
    "sort-class-members": sort_class_members_1.sortClassMembers,
    "sort-export-specifiers": sort_export_specifiers_1.sortExportSpecifiers,
    "sort-keys": sort_keys_1.sortKeys,
    "sort-top-comments": sort_top_comments_1.sortTopComments,
    "switch-case-spacing": switch_case_spacing_1.switchCaseSpacing,
    "template-literal-format": template_literal_format_1.templateLiteralFormat,
    wrap: wrap_1.wrap
};
//# sourceMappingURL=index.js.map